summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2018-12-24 13:55:12 +0100
committer Willy Sudiarto Raharjo2018-12-24 16:16:59 +0100
commitf80572fa0f07c777923e3ad5d5842b816e5d820f (patch)
tree057e86f98cc7d857946322814342af022d48cc6c /academic
parenta9864847386ba5d72ffd0954945a34ae0cea419e (diff)
downloadslackbuilds-f80572fa0f07c777923e3ad5d5842b816e5d820f.tar.gz
academic/trimmomatic: Added (Trimming Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/trimmomatic/README38
-rw-r--r--academic/trimmomatic/References4
-rw-r--r--academic/trimmomatic/slack-desc19
-rw-r--r--academic/trimmomatic/trimmomatic.SlackBuild67
-rw-r--r--academic/trimmomatic/trimmomatic.info10
5 files changed, 138 insertions, 0 deletions
diff --git a/academic/trimmomatic/README b/academic/trimmomatic/README
new file mode 100644
index 0000000000..339f90bdea
--- /dev/null
+++ b/academic/trimmomatic/README
@@ -0,0 +1,38 @@
+Trimmomatic: A flexible read trimming tool for Illumina NGS data
+
+Trimmomatic performs a variety of useful trimming tasks for illumina
+paired-end and single ended data.The selection of trimming steps and
+their associated parameters are supplied on the command line.
+
+The current trimming steps are:
+
+- ILLUMINACLIP: Cut adapter and other illumina-specific sequences from
+ the read.
+- SLIDINGWINDOW: Perform a sliding window trimming, cutting once the
+ average quality within the window falls below a threshold.
+- LEADING: Cut bases off the start of a read, if below a threshold
+ quality
+- TRAILING: Cut bases off the end of a read, if below a threshold
+ quality
+- CROP: Cut the read to a specified length
+- HEADCROP: Cut the specified number of bases from the start of the
+ read
+- MINLEN: Drop the read if it is below a specified length
+- TOPHRED33: Convert quality scores to Phred-33
+- TOPHRED64: Convert quality scores to Phred-64
+
+It works with FASTQ (using phred + 33 or phred + 64 quality scores,
+depending on the Illumina pipeline used), either uncompressed or
+gzipp'ed FASTQ. Use of gzip format is determined based on the .gz
+extension.
+
+For single-ended data, one input and one output file are specified,
+plus the processing steps. For paired-end data, two input files are
+specified, and 4 output files, 2 for the 'paired' output where both
+reads survived the processing, and 2 for corresponding 'unpaired'
+output where a read survived, but the partner read did not.
+
+Citations
+Bolger, A. M., Lohse, M., & Usadel, B. (2014).
+Trimmomatic: A flexible trimmer for Illumina Sequence Data.
+Bioinformatics, btu170.
diff --git a/academic/trimmomatic/References b/academic/trimmomatic/References
new file mode 100644
index 0000000000..d6aecc31b0
--- /dev/null
+++ b/academic/trimmomatic/References
@@ -0,0 +1,4 @@
+Citations
+Bolger, A. M., Lohse, M., & Usadel, B. (2014).
+Trimmomatic: A flexible trimmer for Illumina Sequence Data.
+Bioinformatics, btu170.
diff --git a/academic/trimmomatic/slack-desc b/academic/trimmomatic/slack-desc
new file mode 100644
index 0000000000..4cf6f99863
--- /dev/null
+++ b/academic/trimmomatic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trimmomatic: trimmomatic (A flexible read trimming tool for Illumina NGS data)
+trimmomatic:
+trimmomatic: Trimmomatic performs a variety of useful trimming tasks for illumina
+trimmomatic: paired-end and single ended data.The selection of trimming steps and
+trimmomatic: their associated parameters are supplied on the command line.
+trimmomatic:
+trimmomatic: Home: http://www.usadellab.org/cms/?page=trimmomatic
+trimmomatic:
+trimmomatic:
+trimmomatic:
+trimmomatic:
diff --git a/academic/trimmomatic/trimmomatic.SlackBuild b/academic/trimmomatic/trimmomatic.SlackBuild
new file mode 100644
index 0000000000..c419e77b89
--- /dev/null
+++ b/academic/trimmomatic/trimmomatic.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for trimmomatic
+
+# Copyright trimmomatic Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=trimmomatic
+ZIPNAM=Trimmomatic
+VERSION=${VERSION:-0.38}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $ZIPNAM-$VERSION
+unzip $CWD/$ZIPNAM-$VERSION.zip
+cd $ZIPNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $PRGNAM-$VERSION.jar $PKG/usr/bin/$PRGNAM.jar
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a adapters $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/trimmomatic/trimmomatic.info b/academic/trimmomatic/trimmomatic.info
new file mode 100644
index 0000000000..b16aab676e
--- /dev/null
+++ b/academic/trimmomatic/trimmomatic.info
@@ -0,0 +1,10 @@
+PRGNAM="trimmomatic"
+VERSION="0.38"
+HOMEPAGE="http://www.usadellab.org/cms/?page=trimmomatic"
+DOWNLOAD="http://www.usadellab.org/cms/uploads/supplementary/Trimmomatic/Trimmomatic-0.38.zip"
+MD5SUM="4b3df3caf7fe803ca54c79db1a99c464"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmailc.com"